## ros-melodic-four-wheel-steering-controller 0.17.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(four_wheel_steering_controller)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

set(${PROJECT_NAME}_CATKIN_DEPS
    controller_interface
    nav_msgs
    four_wheel_steering_msgs
    realtime_tools
    tf
    urdf_geometry_parser
    pluginlib)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_CATKIN_DEPS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS ${${PROJECT_NAME}_CATKIN_DEPS}
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/four_wheel_steering_controller.cpp src/odometry.cpp src/speed_limiter.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# Install library
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )

install(FILES four_wheel_steering_controller_plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rosgraph_msgs rostest std_srvs controller_manager tf)
  include_directories(${catkin_INCLUDE_DIRS})

  add_executable(four_wheel_steering test/src/four_wheel_steering.cpp)
  target_link_libraries(four_wheel_steering ${catkin_LIBRARIES})

  add_dependencies(tests four_wheel_steering)

  add_rostest_gtest(four_wheel_steering_controller_twist_cmd_test
                    test/four_wheel_steering_controller_twist_cmd.test
                    test/src/four_wheel_steering_twist_cmd_test.cpp)
  target_link_libraries(four_wheel_steering_controller_twist_cmd_test ${catkin_LIBRARIES})

  add_rostest_gtest(four_wheel_steering_controller_4ws_cmd_test
                    test/four_wheel_steering_controller_4ws_cmd.test
                    test/src/four_wheel_steering_4ws_cmd_test.cpp)
  target_link_libraries(four_wheel_steering_controller_4ws_cmd_test ${catkin_LIBRARIES})

  add_rostest_gtest(four_wheel_steering_wrong_config_test
                    test/four_wheel_steering_wrong_config.test
                    test/src/four_wheel_steering_wrong_config.cpp)
  target_link_libraries(four_wheel_steering_wrong_config_test ${catkin_LIBRARIES})

endif()

## ros-melodic-four-wheel-steering-controller 0.17.1

=== debian/changelog ===
ros-melodic-four-wheel-steering-controller (0.17.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.17.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.16.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.16.0-1stretch) stretch; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.15.1-1stretch) stretch; urgency=high

  * add missing pluginlib deps
  * Use C++11 std::this_thread::sleep_for.
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Davide Faconti, Mathias Lüdtke, Sean Yen

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * Adjust missing bsd note
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.3-1stretch) stretch; urgency=high

  * Minor change in one of the ROS_INFO_STREAM
  * Contributors: Jan-Felix Klein

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.2-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.0-1stretch) stretch; urgency=high

  * migrate to new pluginlib headers
  * fix warning un/signed comparison
  * [4ws tests] simulation clock
  * [4ws tests] Increase position tolerance
  * Contributors: Bence Magyar, Jeremie Deray, Mathias Lüdtke, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.13.2-1stretch) stretch; urgency=high

  * Add four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.13.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.13.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.3-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.2-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.11.2-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.11.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.11.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.10.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.9.2-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.9.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.9.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.8.1-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 10 Jul 2014 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.8.0-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 11 May 2014 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.7.2-1stretch) stretch; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 31 Mar 2014 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.7.1-1stretch) stretch; urgency=high


=== debian/control ===
Source: ros-melodic-four-wheel-steering-controller
Section: misc
Priority: optional
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf-geometry-parser
Homepage: http://ros.org/wiki/four_wheel_steering_controller
Standards-Version: 3.9.2

Package: ros-melodic-four-wheel-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-tf, ros-melodic-urdf-geometry-parser
Description: Controller for a four wheel steering mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-four-wheel-steering-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-four-wheel-steering-controller 0.17.3

=== debian/changelog ===
ros-melodic-four-wheel-steering-controller (0.17.3-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.17.2-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.17.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.17.0-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.16.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.16.0-1bionic) bionic; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.15.1-1bionic) bionic; urgency=high

  * add missing pluginlib deps
  * Use C++11 std::this_thread::sleep_for.
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Davide Faconti, Mathias Lüdtke, Sean Yen

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.15.0-1bionic) bionic; urgency=high

  * Default all controller builds to C++14
  * boost::chrono -> std::chrono
  * Adjust missing bsd note
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.3-1bionic) bionic; urgency=high

  * Minor change in one of the ROS_INFO_STREAM
  * Contributors: Jan-Felix Klein

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.2-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.14.0-1bionic) bionic; urgency=high

  * migrate to new pluginlib headers
  * fix warning un/signed comparison
  * [4ws tests] simulation clock
  * [4ws tests] Increase position tolerance
  * Contributors: Bence Magyar, Jeremie Deray, Mathias Lüdtke, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.13.2-1bionic) bionic; urgency=high

  * Add four_wheel_steering_controller
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.13.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.13.0-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.3-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.2-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.12.0-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.11.2-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.11.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.11.0-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.10.0-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.9.2-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.9.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.9.0-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.8.1-1bionic) bionic; urgency=high



 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Thu, 10 Jul 2014 23:00:00 -0000

ros-melodic-four-wheel-steering-controller (0.8.0-1bionic) bionic; urgency=high





=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf-geometry-parser
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager <!nocheck>, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-std-srvs <!nocheck>, ros-melodic-tf, ros-melodic-urdf-geometry-parser
 Homepage: http://ros.org/wiki/four_wheel_steering_controller
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
